Subject: [linux-sunxi] Re: [PATCH 0/7] mfd: AXP20x: Add support for AXP202 and AXP209

From: [email-masked] (Hans de Goede)
Date: Sat, 01 Mar 2014 20:29:11 +0100

Hi,

On 03/01/2014 06:17 PM, Carlo Caione wrote:
> On Sat, Mar 1, 2014 at 5:56 PM, Hans de Goede <[email-masked]> wrote:
>> Hi Carlo,
>>
>> Great work, thanks for all the time you're putting into this!
> 
> Hi Hans :)
> 
>> I've 2 questions:
>>
>> 1) What dependencies does this patch-set have? Obviously it needs the NMI irq
>> patches for A20, anything else ?  I no longer see any use of a special flag
>> for ack on unmask, is that no longer needed ?
> 
> Yes, the only dependency is on the NMI controller patch.
> After a discussion with Maxime and Thomas I decided to not push for
> including the special flag for ack on unmask in the irqchip core but
> to use the unmask callback as in the v3 version of the NMI controller
> driver (so no flag needed)
> 
>> 2) No poweroff functionality ? That would be really great to have.
> 
> Actually in [PATCH 1/7] I support the poweroff using the pm_power_off hook.

Ah I missed that, cool.

I'm doing with sunxi hacking for today, but I'll add these to sunxi-devel
and them give them a test run tomorrow.

Regards,

Hans